
%define 	module	TimeFormat

Summary:	An alternative to using time.strftime()
Summary(pl.UTF-8):	Moduł konkurencyjny dla time.strftime()
Name:		python-%{module}
Version:	1.1.0
Release:	5
License:	BSD-like
Group:		Libraries/Python
Source0:	http://www.owlfish.com/software/TimeFormat/downloads/%{module}-%{version}.tar.gz
# Source0-md5:	e228ba722218da492ae541f7571e1412
URL:		http://www.owlfish.com/software/TimeFormat/index.html
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Requires:	python >= 2.3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
TimeFormat implements new Python time and date formatting codes that
provide more flexibility to time.strftime(). The implementation avoids
using the C library time.strftime() where possible, so ensuring the
same operation across most platforms.

%description -l pl.UTF-8
TimeFormat implementuje od nowa funkcje formatujące datę i czas w
Pythonie, odznaczające się większą elastycznością od time.strftime().
Implementacja stara się uniknąć używania pochodzącej z biblioteki C
funkcji time.strftime() tam, gdzie to tylko możliwe, dzięki czemu
czemu moduł powinien tak samo działać na większości platform
sprzętowych.

%package doc
Summary:	Documentation for TimeFormat module
Summary(pl.UTF-8):	Dokumentacja do modułu TimeFormat
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for TimeFormat Python module.

%description doc -l pl.UTF-8
Moduł zawierający dokumentację dla modułu Pythona TimeFormat.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build_ext

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

%py_install \
	--install-lib=%{py_sitescriptdir} \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitescriptdir} -name \*.py -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE.txt README.txt
%{py_sitescriptdir}/timeformat.py[oc]

%files doc
%defattr(644,root,root,755)
%doc documentation/*
%changelog
* Sat Nov 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-TimeFormat.git;a=log;h=master

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 7be2251
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> f5acdf9
- automatic change: use py_build/py_install macros

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> dc24682
- added BR: python-modules, rpm-pythonprov

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 5957a12
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 9300631
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 91976f9
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ebe5e6d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1899ed8
- converted to UTF-8

* Sat Nov 27 2004 saq <saq@pld-linux.org> d2ed090
- massive attack: added missing python-devel epoch do BR

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 008bb4c
- removed %%include /usr/lib/rpm/macros.python

* Wed Jun 09 2004 Marcin Gajda <m.gajda@functional-software.com> b77b193
- updated to 1.1.0

* Wed May 26 2004 ankry <ankry@pld-linux.org> 9d6bdf3
- capitalization, tabs, other cosmetics

* Thu May 20 2004 Marcin Gajda <m.gajda@functional-software.com> 11061af
- typos

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> d329c21
- s/-l p$/-l pl/ in subpackage descriptions

* Wed May 19 2004 Marcin Gajda <m.gajda@functional-software.com> 512c38c
- correct group in -doc subpackage

* Tue May 18 2004 Jakub Bogusz <qboosh@pld-linux.org> 74fd4fc
- noarch

* Tue May 18 2004 Jakub Bogusz <qboosh@pld-linux.org> e4daf4b
- new, from Marcin Gajda

